• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Leggi altro.

Conchiglia in 3d

jeanpier01

Utente Junior
Professione: studente
Software: autocad allplan
Regione: abruzzo-puglia
#1
Ciao a tutti
devo creare un involucro a forma di conchiglia, o meglio a forma di sasso ovviamente in 3d.
Come posso fare?
 

PlannerRoad

Moderatore
Staff Forum
Professione: Variabile
Software: AutoCAD 2016
Regione: Italia
#2
Vedi se questa forma di conchiglia da generare con questo lisp può andarti bene.
Non ho capito che tipo di conchiglia cerchi.....

Codice:
;   create a nautilus shell 
;   [EMAIL="mfuccaro@hotmail.com"][COLOR=#3c5b00]mfuccaro@hotmail.com[/COLOR][/EMAIL] 
;  ----- July.2003 ----- 
;
(defun c:nautilus( / radius Rad_inc n m ang1M ang1N old ) 
  (setq Rad_Inc 0.2      ;radius increment 
   n 25         ;mesh N size 
   m 60         ;mesh M size 
   ang1N (/ (* 2.0 pi) n)   ;angular increment 
   ang1M (/ pi 20.0)   ;angular increment 
   angN 0.0      ;angle in N direction 
   old (getvar "osmode")) 
  (command "3dmesh" (1+ n) m) 
  (setvar "osmode" 0) 
  (repeat (1+ n) 
    (setq Radius 0.0      ;radius of cross section 
     angM 0.0      ;angle in M direction 
     angN (+ angN ang1N)) 
    (repeat m 
      (command 
   (setq Radius (+ Radius Rad_Inc) 
       angM (+ angM ang1M) 
       p (list (* (+ Radius (* Radius (cos angN))) (cos angM)) 
          (* Radius (sin angN)) 
          (* (+ Radius (* Radius (cos angN))) (sin angM))))) 
      )        ;repeat m 
    )      ;repeat n+1 
  (setvar "osmode" old) 
  (princ) 
  )      ;defun 
(princ "\nRoutine loaded. Type NAUTILUS at the command prompt.") 
(princ)
Preso da qui.
 

Allegati

Ultima modifica:

PlannerRoad

Moderatore
Staff Forum
Professione: Variabile
Software: AutoCAD 2016
Regione: Italia
#4
Nel caso della forma del primo link che hai inserito puoi disegnarne il profilo e poi farne una rivoluzione con il comando RIVOLUZIONE.
 

jeanpier01

Utente Junior
Professione: studente
Software: autocad allplan
Regione: abruzzo-puglia
#5
ma il comando rivoluzione avrei che l'altezza sarebbe uguale al raggio dell'ovale (dato che il comando rivoluzione non fà altro che ruotare intorno ad un asse). Nel mio caso invece l'altezza deve essere minore rispetto al raggio